> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consent Info

> Get consent info (disclaimers, documents) for a form.

If answered_form_id is provided, returns snapshotted content from the submission.
Otherwise (blank form export), returns live content from the form questions.



## OpenAPI

````yaml get /forms/{form_id}/consent-info
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /forms/{form_id}/consent-info:
    get:
      tags:
        - provider
        - forms
      summary: Get Consent Info
      operationId: get_consent_info_forms__form_id__consent_info_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: form_id
          in: path
          required: true
          schema:
            type: string
            title: Form Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  anyOf:
                    - $ref: '#/components/schemas/ConsentText'
                    - $ref: '#/components/schemas/ConsentDocument'
                title: Response Get Consent Info Forms  Form Id  Consent Info Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConsentText:
      properties:
        questionId:
          type: string
          title: Questionid
        text:
          type: string
          title: Text
      type: object
      required:
        - questionId
        - text
      title: ConsentText
    ConsentDocument:
      properties:
        questionId:
          type: string
          title: Questionid
        documentImage:
          type: string
          title: Documentimage
        name:
          type: string
          title: Name
      type: object
      required:
        - questionId
        - documentImage
        - name
      title: ConsentDocument
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````